<?php

/**
 *
 * @see XenForo_DataWriter_Template
 */
class Waindigo_InstallUpgrade_Extend_XenForo_DataWriter_Template extends XFCP_Waindigo_InstallUpgrade_Extend_XenForo_DataWriter_Template
{

    /**
     *
     * @see XenForo_DataWriter_Template::_postSave()
     */
    protected function _postSave()
    {
        $xenOptions = XenForo_Application::get('options');

        if ($xenOptions->waindigo_installUpgrade_templatesFullCompile) {
            $this->setOption(self::OPTION_FULL_COMPILE, true);
        }

        parent::_postSave();
    }
}